Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ConnectionInfo

    java.lang.Object
      jet.api.ConnectionInfo

    public class ConnectionInfo

extends java.lang.Object

An information package of the connection. JReport requires access to your data source so that it can import the database schema; this information allows JReport to automatically build the queries that provide the data for the report. Data source connections are defined, named, and stored in the catalog along with the reports and other resources that use them.

JReport is extremely efficient when working with data sources that are in a relational database software. The Java Database Connectivity (JDBC) and Java Database Connectivity - Open Database Connectivity (JDBC-ODBC) connections are the basic approaches for connecting to a database for data. Other data source types can also be accessed.

Field Summary
`static int` | `ENCODINGAUTO` encoded data type
`static int` | `ENCODINGNO` encoded data type
`static int` | `ENCODINGYES` encoded data type
`static int` | `EXTRA_NAME_JDBC` extra name type
`static int` | `EXTRA_NAME_USERDEFINED` extra name type
`static int` | `OUTERJOIN_MARKER_ORACLE` The flag of the outer join type Using '+' to apply the join sentence
`static int` | `OUTERJOIN_MARKER_SQL92` The flag of the outer join type The SQL92 standard will be applied to the join sentence
`static int` | `PATTERN_1PART_NAME` qualified name pattern
`static int` | `PATTERN_2PART_NAME` qualified name pattern
`static int` | `PATTERN_3PART_NAME` qualified name pattern
`static int` | `READ_ONLY_DEFAULT` Connection Read-only property.
`static int` | `READ_ONLY_FALSE` Connection Read-only property.
`static int` | `READ_ONLY_TRUE` Connection Read-only property.
`static int` | `TRANSACTION_DEFAULT` Transaction isolation level value.
`static int` | `TRANSACTION_NONE` Transaction isolation level value.
`static int` | `TRANSACTION_READ_COMMITTED` Transaction isolation level value.
`static int` | `TRANSACTION_READ_UNCOMMITTED` Transaction isolation level value.
`static int` | `TRANSACTION_REPEATABLE_READ` Transaction isolation level value.
`static int` | `TRANSACTION_SERIALIZABLE` Transaction isolation level value.

Constructor Summary
`ConnectionInfo(java.lang.String uid, java.lang.String pwd)` Constructs a JReport connection definition.
`ConnectionInfo(java.lang.String UID, java.lang.String PSWD, int QualifiedNamePattern, int extraNamePattern, java.lang.String strExtraNameChar, java.lang.String strQuoteNameChar, int encodingPattern, java.lang.String dateFormat, java.lang.String timeFormat, java.lang.String timestampFormat, boolean uptoDateSI, int transactionIsolation, int readOnly)` Constructor.

Method Summary
`int` | `getOuterJoinMarker()` Gets the outer join type flag
`int` | `getWSDLTimeOut()` Gets WSDL connection timeout setting in seconds.
`boolean` | `isWSDLConnection()` Indicate whether or not it is a WSDL connection.
`void` | `setOuterJoinMarker(int outerJoinMarker)` Sets the outer join type flag
`void` | `setWSDLConnection(boolean isWSDLcon)` Indicate whether it is a WSDL connection.
`void` | `setWSDLTimeOut(int wsdlTimeOut)` Sets WSDL connection timeout setting in seconds.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PATTERN_1PART_NAME

    public static final int PATTERN_1PART_NAME

  qualified name pattern

  See Also:
    Constant Field Values

### PATTERN_2PART_NAME

    public static final int PATTERN_2PART_NAME

  qualified name pattern

  See Also:
    Constant Field Values

### PATTERN_3PART_NAME

    public static final int PATTERN_3PART_NAME

  qualified name pattern

  See Also:
    Constant Field Values

### EXTRA_NAME_JDBC

    public static final int EXTRA_NAME_JDBC

  extra name type

  See Also:
    Constant Field Values

### EXTRA_NAME_USERDEFINED

    public static final int EXTRA_NAME_USERDEFINED

  extra name type

  See Also:
    Constant Field Values

### ENCODINGAUTO

    public static final int ENCODINGAUTO

  encoded data type

  See Also:
    Constant Field Values

### ENCODINGYES

    public static final int ENCODINGYES

  encoded data type

  See Also:
    Constant Field Values

### ENCODINGNO

    public static final int ENCODINGNO

  encoded data type

  See Also:
    Constant Field Values

### TRANSACTION_DEFAULT

    public static final int TRANSACTION_DEFAULT

  Transaction isolation level value. Accepts the settings from the database that you are connecting to.

  See Also:
    Constant Field Values

### TRANSACTION_NONE

    public static final int TRANSACTION_NONE

  Transaction isolation level value. Transactions are not supported.

  See Also:
    Constant Field Values

### TRANSACTION_READ_UNCOMMITTED

    public static final int TRANSACTION_READ_UNCOMMITTED

  Transaction isolation level value. Transactions are not isolated from each other. If the DBMS supports other transaction isolation levels, it ignores whatever mechanism it uses to implement those levels, so that they do not adversely affect other transactions, and transactions running at the Read Uncommitted level are usually read-only.

  Note: When Read Only is set and Transaction Isolation is Read Uncommitted, it provides faster access to the data, but if a database transaction is rolled back, the read will retrieve an invalid row and result in an inaccurate report.

  See Also:
    Constant Field Values

### TRANSACTION_READ_COMMITTED

    public static final int TRANSACTION_READ_COMMITTED

  Transaction isolation level value. When one transaction is reading, updating or deleting a row, other transactions cannot update or delete it until this transaction is committed or rolled back.

  See Also:
    Constant Field Values

### TRANSACTION_REPEATABLE_READ

    public static final int TRANSACTION_REPEATABLE_READ

  Transaction isolation level value. When one transaction is updating or deleting several rows, or inserting new rows into them, other transactions cannot also update or delete these rows until this transaction is committed or rolled back.

  See Also:
    Constant Field Values

### TRANSACTION_SERIALIZABLE

    public static final int TRANSACTION_SERIALIZABLE

  Transaction isolation level value. When one transaction is updating or deleting several rows, or inserting new rows into them, other transactions cannot update or delete these rows, or insert any new rows into these rows until this transaction is committed or rolled back.

  See Also:
    Constant Field Values

### READ_ONLY_DEFAULT

    public static final int READ_ONLY_DEFAULT

  Connection Read-only property. Accepts the settings from the database that you are connecting to.

  See Also:
    Constant Field Values

### READ_ONLY_TRUE

    public static final int READ_ONLY_TRUE

  Connection Read-only property. Users will only be able to access the database in read-only mode.

  See Also:
    Constant Field Values

### READ_ONLY_FALSE

    public static final int READ_ONLY_FALSE

  Connection Read-only property. Users will be able to access the database in read-write mode.

  See Also:
    Constant Field Values

### OUTERJOIN_MARKER_SQL92

    public static final int OUTERJOIN_MARKER_SQL92

  The flag of the outer join type The SQL92 standard will be applied to the join sentence

  See Also:
    Constant Field Values

### OUTERJOIN_MARKER_ORACLE

    public static final int OUTERJOIN_MARKER_ORACLE

  The flag of the outer join type Using '+' to apply the join sentence

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionInfo

    public ConnectionInfo(java.lang.String uid,
                          java.lang.String pwd)

  Constructs a JReport connection definition.

  Parameters:
    `uid` - The user name to connect the database. It is determined by your database.
    `pwd` - The password to connect the database. It is determined by your database.

### ConnectionInfo

    public ConnectionInfo(java.lang.String UID,
                          java.lang.String PSWD,
                          int QualifiedNamePattern,
                          int extraNamePattern,
                          java.lang.String strExtraNameChar,
                          java.lang.String strQuoteNameChar,
                          int encodingPattern,
                          java.lang.String dateFormat,
                          java.lang.String timeFormat,
                          java.lang.String timestampFormat,
                          boolean uptoDateSI,
                          int transactionIsolation,
                          int readOnly)

  Constructor. Creates the connection information.

  Parameters:
    `UID` - The user name to connect the database. It is determined by your database.
    `PSWD` - The password to connect the database. It is determined by your database.
    `QualifiedNamePattern` - Specifies whether or not the catalog or schema is used in data manipulation. The qualified name pattern used in building the name of table, view or other data objects.
    `extraNamePattern` - The extra name pattern type.
    `strExtraNameChar` - Specifies the extra characters for identifier names.
    `strQuoteNameChar` - Specifies the quote character.
    `encodingPattern` - Specifies whether the data fetched from the database is encoded.
    `dateFormat` - Specifies the date format used in DBMS.
    `timeFormat` - Specifies the time format used in DBMS.
    `timestampFormat` - Specifies the Timestamp format used in DBMS. See,
    y year
    M month in year
    d day in month
    h hour in day (0~23)
    m minute in hour
    s second in minute
    S millisecond
    `uptoDateSI` - Updates jdbc support information of the connection.
    `transactionIsolation` - The transaction isolation level.
    `readOnly` - Specifies the Read-only property each time the driver connects to the database.

Method Detail

### getWSDLTimeOut

    public int getWSDLTimeOut()

  Gets WSDL connection timeout setting in seconds.

  Returns:
    WSDL connection timeout setting in seconds.

### setWSDLTimeOut

    public void setWSDLTimeOut(int wsdlTimeOut)

  Sets WSDL connection timeout setting in seconds.

  Parameters:
    `wsdlTimeOut` - WSDL connection timeout setting in seconds.

### isWSDLConnection

    public boolean isWSDLConnection()

  Indicate whether or not it is a WSDL connection.

  Returns:
    `true` if it is a WSDL connection; `false` otherwise.

### setWSDLConnection

    public void setWSDLConnection(boolean isWSDLcon)

  Indicate whether it is a WSDL connection.

  Parameters:
    `isWSDLcon` - `true` if it is a WSDL connection; `false` otherwise.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setOuterJoinMarker

    public void setOuterJoinMarker(int outerJoinMarker)

  Sets the outer join type flag

  Parameters:
    `outerJoinMarker` - refer `OUTERJOIN_MARKER_ORACLE` or `OUTERJOIN_MARKER_SQL92`

### getOuterJoinMarker

    public int getOuterJoinMarker()

  Gets the outer join type flag

  Returns:
    `OUTERJOIN_MARKER_ORACLE` or `OUTERJOIN_MARKER_SQL92`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD